> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create skill



## OpenAPI

````yaml post /api/v1/skills
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/skills:
    post:
      tags:
        - skills
        - Skills
      summary: Create skill
      operationId: SkillController_createNewSkill
      parameters: []
      requestBody:
        required: true
        description: Input data for creating a skills
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSkillInput'
      responses:
        '201':
          description: skills created successfully
        '400':
          description: Bad Request
      security:
        - basic: []
components:
  schemas:
    CreateSkillInput:
      type: object
      properties:
        name:
          type: string
          description: ' Customer Support Representative '
          example: Customer Support Representative
          nullable: true
        definition:
          type: string
          description: Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        callPrompt:
          type: string
          description: Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        whatsappPrompt:
          type: string
          description: Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        smsPrompt:
          type: string
          description: Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        emailPrompt:
          type: string
          description: Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        initialMessage:
          type: string
          description: Greeting message
          example: >-
            Hi, thank you for reaching out to Happy Customer. This is
            {{aiName}}. How may I help you today?
          nullable: true
      required:
        - name
        - definition
        - callPrompt
        - whatsappPrompt
        - smsPrompt
        - emailPrompt
        - initialMessage
  securitySchemes:
    basic:
      type: http
      scheme: basic

````